<style type="text/css">
  @keyframes loading-right{
      0%{
          -webkit-transform: rotate(0deg);
          transform: rotate(0deg);
      }
      100%{
          -webkit-transform: rotate(<%=@deg_right%>deg);
          transform: rotate(<%=@deg_right%>deg);
      }
  }
  @keyframes loading-left{
      0%{
          -webkit-transform: rotate(0deg);
          transform: rotate(0deg);
      }
      100%{
          -webkit-transform: rotate(<%=@deg_left%>deg);
          transform: rotate(<%=@deg_left%>deg);
      }
  }
</style>

<div class="titre_actif">
  <div class="toolbar">
    <%= link_to edit_project_path(@project), class: "btn btn-primary" do %>
      <i class="fa fa-pencil fa-3x"></i>
    <% end %>
  </div>
  <h1><%= @project.title %></h1>
  <span class="title-tag">
    <i class="fa fa-briefcase fa-4x"></i>
  </span>
</div>

<div class="col-md-9 left">
  <div class="field input-group">
    <span class="input-group-addon"><div class="span-label">Client</div></span>
    <div class="form-control"><%= @project.partner && @project.partner.name %></div>
  </div>
  <div class="field input-group">
    <span class="input-group-addon"><div class="span-label">Echéance</div></span>
    <div class="form-control"><%= @project.echance && @project.echance.strftime("%d/%m/%Y") %></div>
  </div>
  <div class="field input-group">
    <span class="input-group-addon"><div class="span-label">Nombre d'heures réalisées</div></span>
    <div class="form-control"><%= @duree_intervention %> h</div>
  </div>
  <div class="field input-group">
    <span class="input-group-addon"><div class="span-label">Nombre d'heures maximum</div></span>
    <div class="form-control"><%= @project.max_hours.to_i %> h</div>
  </div>
  <div class="field input-group">
    <span class="input-group-addon"><div class="span-label">Main d'oeuvre facturable ?</div></span>
    <div class="form-control"><%= @project.facturable ? "oui" : "non" %></div>
  </div>
</div>
<div class="col-md-3">
      <div class="progress red">
        <span class="progress-left">
          <span class="progress-bar"></span>
        </span>
        <span class="progress-right">
          <span class="progress-bar"></span>
        </span>
        <div class="progress-value"><%= "#{@pourc.to_i>0 ? @pourc.to_s+' %' : @duree_intervention.to_i.to_s + ' h'}" %></div>
      </div>
</div>

<div class="col-md-12">
  <div class="tabbable-panel">
  	<div class="tabbable-line">
  		<ul class="nav nav-tabs ">
  			<li class="active">
  				<a href="#tab_description" data-toggle="tab">
  				Description </a>
  			</li>
  			<li>
  				<a href="#tab_interventions" data-toggle="tab">
  				Interventions </a>
  			</li>
        <li>
  				<a href="#tab_stats" data-toggle="tab">
  				Stats </a>
  			</li>
  		</ul>
  		<div class="tab-content">
  			<div class="tab-pane active" id="tab_description">
          <div class="well left">
            <%= simple_markdown(@project.description) %>
          </div>
  			</div>
  			<div class="tab-pane" id="tab_interventions">
  				<%= render 'interventions/tables_interventions' %>
  			</div>
        <div class="tab-pane" id="tab_stats">
          <div class="col-md-12">
			      <%= area_chart @interventions.group_by_month(:intervention_date).sum(:duration), colors: ["#760000"] %>
          </div>
          <div class="col-md-6">
			      <%= pie_chart @interventions.joins(:user).group("users.name").sum(:duration), colors: ["#760000", "#984040"] %>
          </div>
          <div class="col-md-6">
          </div>
          <div class='end_page'></div>
        </div>
  		</div>
  	</div>
  </div>
</div>
